require(gdata)
require(colorspace)

ruta = "/Users/dario/Dropbox/TRABAJO/AMIDST/graficas Fractional/"
setwd(ruta)
xlsfile <- file.path(ruta,'GPS.xls')



filenames=c("GPS_marLogLike.pdf","GPS_relativeMarLogLike.pdf","GPS_LambdaDrift.pdf","GPS_RhoDrift.pdf","GPS_RhoDistribution.pdf");


#######################################################
####### Marginal LogLikelihood ########################
#######################################################

rawData <- read.xls(xlsfile,sheet="Sheet1",perl="/usr/bin/perl",verbose=T)

rawData=rawData[1:24,1:43]
rawData
colnames(rawData)

iterNumber = na.omit(rawData[,1])
SVB = na.omit(rawData[,2])
Drift = na.omit(rawData[,10])
MultiDrift = na.omit(rawData[,11])
SVB_PP_0.9 = na.omit(rawData[,12])
Population = na.omit(rawData[,8])


LambdaDrift = na.omit(rawData[,15])
LambdaMultiDrift = na.omit(rawData[,16])
LambdaDrift
LambdaMultiDrift


SVB = as.numeric(levels(SVB))[SVB]
Drift = as.numeric(levels(Drift))[Drift]
MultiDrift = as.numeric(levels(MultiDrift))[MultiDrift]
SVB_PP_0.9 = as.numeric(levels(SVB_PP_0.9))[SVB_PP_0.9]
Population = as.numeric(levels(Population))[Population]


iterNumber
SVB
Drift
MultiDrift
SVB_PP_0.9
Population


LambdaDrift = as.numeric(LambdaDrift)
LambdaMultiDrift = as.numeric(LambdaMultiDrift)
LambdaDrift
LambdaMultiDrift

# paso = 1 
# VMP_x=VMP_x[seq(1,length(VMP_x),by=paso)]
# VMP_y=VMP_y[seq(1,length(VMP_y),by=paso)]
# 
# SVI_55_x=SVI_55_x[seq(1,length(SVI_55_x),by=paso)]
# SVI_55_y=SVI_55_y[seq(1,length(SVI_55_y),by=paso)]
# 
# SVI_75_x=SVI_75_x[seq(1,length(SVI_75_x),by=paso)]
# SVI_75_y=SVI_75_y[seq(1,length(SVI_75_y),by=paso)]
# 
# SVI_99_x=SVI_99_x[seq(1,length(SVI_99_x),by=paso)]
# SVI_99_y=SVI_99_y[seq(1,length(SVI_99_y),by=paso)]



# x1.range = range(VMP_a1_x)
# x2.range = range(VMP_a3_x)
# 
# xr1.range = range(VMP_a1_rx)
# xr2.range = range(VMP_a3_rx)


y1.range = range(SVB)
y2.range = range(Drift)
y3.range = range(MultiDrift)
y4.range = range(SVB_PP_0.9)
y5.range = range(Population)

limites_x = range(iterNumber) 
limites_y = range(y1.range,y2.range,y3.range,y4.range,y5.range)
limites_y

#marcadores=c(15,16,17,18)
#marcadores=c(0,1,15,16)

#marcadores=c(4,4,1,1)

marcadores=c(".",".",".",".",".")


#colores=c("#fb0c1b","#82cafb")

colores=rainbow_hcl(5)

linea=1
tipo="l"
escala=2
ancho=3


# SAVE PLOTS TO PDF FILES:
#pdf(filenames[1], width=7.5, height=4.5)


par(mar=c(3,2,2,1)+.1)
plot(iterNumber,SVB, col=colores[1],  lty=linea, cex = escala, lwd=2*ancho, pch=marcadores[1], type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=TRUE)
lines(iterNumber,SVB, col=colores[1],  lty=linea)
axis(side = 1, col.axis="black", at=seq(0,60,10), cex.axis=1.4)
mtext(side = 1, line = 3, '', col="black")
axis(side = 2, col.axis="black", cex.axis=1.4)
mtext(side = 2, line = 3, '', col="black")
par(new=T)
plot(iterNumber,Population, col=colores[2],  lty=linea, cex = escala, lwd=ancho, pch=marcadores[5], type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=FALSE)
lines(iterNumber,Population, col=colores[2],  lty=linea)
par(new=T)
plot(iterNumber,Drift, col=colores[3],  lty=linea, cex = escala, lwd=ancho, pch=marcadores[2],  type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=FALSE)
lines(iterNumber,Drift, col=colores[3],  lty=linea)
par(new=T)
plot(iterNumber,MultiDrift, col=colores[4],  lty=linea, cex = escala, lwd=ancho, pch=marcadores[3], type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=FALSE)
lines(iterNumber,MultiDrift, col=colores[4],  lty=linea)
par(new=T)
plot(iterNumber,SVB_PP_0.9, col=colores[5],  lty=linea, cex = escala, lwd=ancho, pch=marcadores[4],  type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=FALSE)
lines(iterNumber,SVB_PP_0.9, col=colores[5],  lty=linea)
#par(new=T)
#plot(iterNumber,SVB, col=colores[1],  lty=linea, cex = escala, lwd=2*ancho, pch=marcadores[1], type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=FALSE)
#lines(iterNumber,SVB, col=colores[1],  lty=linea)

legend(x=0,y=-2.8, legend=c("SVB",expression(paste("PVB-|",x[t],"|-0.1")),"SVB-HPP","SVB-MHPP","SVB-PP-0.9"), col=colores, pch=marcadores, cex=1.2, lwd=c(2*ancho,rep(ancho,4)), y.intersp = 1.2, x.intersp = 2, box.lty =0, bg="transparent") #text.col=c("red","blue","green","pink"))
title(main="GPS", cex.main=1.7)


#dev.off()



#######################################################
###  Relative marginal LogLikelihood ##################
#######################################################

Drift_rel = Drift-SVB
MultiDrift_rel = MultiDrift-SVB
SVB_PP_0.9_rel = SVB_PP_0.9-SVB
Population_rel = Population-SVB


y2.range = range(Drift_rel)
y3.range = range(MultiDrift_rel)
y4.range = range(SVB_PP_0.9_rel)
y5.range = range(Population_rel)

limites_x = range(iterNumber) 
limites_y = range(y2.range,y3.range,y4.range,y5.range)
limites_y



marcadores=1:4

linea=1
tipo="b"
escala=1.7
ancho=1.8


# SAVE PLOTS TO PDF FILES:
pdf(filenames[2], width=7.5, height=4.5)


par(mar=c(4,4,2,1)+.1)
plot(iterNumber,Population_rel, col=colores[2],  lty=linea, cex = escala, lwd=ancho, pch=marcadores[1], type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=TRUE)
#lines(iterNumber,Population_rel, col=colores[2],  lty=linea)
axis(side = 1, col.axis="black", at=seq(0,60,10), cex.axis=1.4)
mtext(side = 1, line = 3, '', col="black")
axis(side = 2, col.axis="black", cex.axis=1.4)
mtext(side = 2, line = 3, '', col="black")
par(new=T)
plot(iterNumber,Drift_rel, col=colores[3],  lty=linea, cex = escala, lwd=ancho, pch=marcadores[2], type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=FALSE)
#lines(iterNumber,Drift_rel, col=colores[3],  lty=linea)
par(new=T)
plot(iterNumber,MultiDrift_rel, col=colores[4],  lty=linea, cex = escala, lwd=ancho, pch=marcadores[3],  type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=FALSE)
#lines(iterNumber,MultiDrift_rel, col=colores[4],  lty=linea)
par(new=T)
plot(iterNumber,SVB_PP_0.9_rel, col=colores[5],  lty=linea, cex = escala, lwd=ancho, pch=marcadores[4], type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=FALSE)
#lines(iterNumber,SVB_PP_0.9_rel, col=colores[5],  lty=linea)


legend(x=-0.5,y=1.2, legend=c(expression(paste("PVB-|",x[t],"|-0.1")),"SVB-HPP","SVB-MHPP","SVB-PP-0.9"), 
       lty=0, col=colores[2:5], pch=marcadores, cex=1.4, pt.cex=1.8, lwd=rep(ancho,4), y.intersp = 1.2, x.intersp = 1.5, box.lty =0, bg="transparent") #text.col=c("red","blue","green","pink"))
title(main="GPS", xlab="Time step", ylab="TMLL-Test marginal log-likelihood", cex.lab=1.4, cex.main=1.7)


dev.off()

marcadores=c(".",".",".",".",".")


###############################################
########## PLOT3 ##############################
###############################################

rawData <- read.xls(xlsfile,sheet="Sheet2",perl="/usr/bin/perl",verbose=T)

rawData=rawData[1:24,1:88]
rawData

LambdaDrift = na.omit(rawData[,82])
LambdaDrift2 = na.omit(rawData[,83])
LambdaDrift3 = na.omit(rawData[,84])
LambdaDrift4 = na.omit(rawData[,85])
LambdaDrift5 = na.omit(rawData[,86])

iterNumber=2:24

LambdaDrift
LambdaDrift2
LambdaDrift3
LambdaDrift4
LambdaDrift5


y1.range = range(LambdaDrift)
y2.range = range(LambdaDrift2)
y3.range = range(LambdaDrift3)
y4.range = range(LambdaDrift4)
y5.range = range(LambdaDrift5)


limites_x = range(iterNumber)
limites_y = range(y1.range,y2.range,y3.range,y4.range,y5.range)


linea=1
tipo="l"
escala=2
ancho=3



# SAVE PLOTS TO PDF FILES:
pdf(filenames[3], width=7.5, height=4.5)


par(mar=c(3,2,2,1)+.1)
plot(iterNumber,LambdaDrift, col=colores[1],  lty=linea, cex = escala, lwd=ancho, pch=marcadores[1], type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=TRUE)
lines(iterNumber,LambdaDrift, col=colores[1],  lty=linea)
axis(side = 1, col.axis="black", at=seq(0,60,10), cex.axis=1.4)
mtext(side = 1, line = 3, '', col="black")
axis(side = 2, col.axis="black", cex.axis=1.4)
mtext(side = 2, line = 3, '', col="black")
par(new=T)
plot(iterNumber,LambdaDrift2, col=colores[2],  lty=linea, cex = escala, lwd=ancho, pch=marcadores[2],  type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=FALSE)
lines(iterNumber,LambdaDrift2, col=colores[2],  lty=linea)
par(new=T)
plot(iterNumber,LambdaDrift3, col=colores[3],  lty=linea, cex = escala, lwd=ancho, pch=marcadores[3], type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=FALSE)
lines(iterNumber,LambdaDrift3, col=colores[3],  lty=linea)
par(new=T)
plot(iterNumber,LambdaDrift4, col=colores[4],  lty=linea, cex = escala, lwd=ancho, pch=marcadores[4],  type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=FALSE)
lines(iterNumber,LambdaDrift4, col=colores[4],  lty=linea)
par(new=T)
plot(iterNumber,LambdaDrift5, col=colores[5],  lty=linea, cex = escala, lwd=ancho, pch=marcadores[5], type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=FALSE)
lines(iterNumber,LambdaDrift5, col=colores[5],  lty=linea)

legend(x=15,y=1, legend=c(expression(paste("E[", rho,"]  SVB-HPP")),"[0.95,1]","[0,0.05]","[0.05,0.5]","[0.85,0.95]"), col=colores, pch=marcadores, cex=1.3, lwd=rep(ancho,5), y.intersp = 1.1, x.intersp = 2, box.lty =0, bg="transparent") #text.col=c("red","blue","green","pink"))
title(main="GPS", cex.main=1.7)


dev.off()



###############################################
########## PLOT4 ##############################
###############################################

iterNumber=1:23

y1.range = range(LambdaDrift)
y2.range = range(LambdaMultiDrift)


limites_x = range(iterNumber)
limites_y = range(y1.range,y2.range)

limites_y[1]=0

linea=1
tipo="l"
escala=1
ancho=2



# SAVE PLOTS TO PDF FILES:
pdf(filenames[4], width=9, height=5)


par(mar=c(5,4,4,5)+.1)
plot(iterNumber,LambdaDrift, col=colores[1],  lty=linea, cex = escala, lwd=ancho, pch=marcadores[1], type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=TRUE)
lines(iterNumber,LambdaDrift, col=colores[1],  lty=linea)
axis(side = 1, col.axis="black", at=seq(0,60,10))
mtext(side = 1, line = 3, '', col="black")
axis(side = 2, col.axis="black")
mtext(side = 2, line = 3, '', col="black")
par(new=T)
plot(iterNumber,LambdaMultiDrift, col=colores[2],  lty=linea, cex = escala, lwd=ancho, pch=marcadores[2],  type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=FALSE)
lines(iterNumber,LambdaMultiDrift, col=colores[2],  lty=linea)


legend(x=2,y=0.2, legend=c(expression(paste("E[", rho,"]  SVB-HPP")),expression(paste("E[", rho,"]  SVB-MHPP"))), col=colores, pch=marcadores, cex=1, lwd=c(2,2), y.intersp = 1.3, x.intersp = 2, box.lty =0, bg="transparent") #text.col=c("red","blue","green","pink"))
title(main="GPS", cex.main=1.7)


dev.off()




###############################################
### PLOT 5 ####################################
###############################################

require(scales)
rawData <- read.xls(xlsfile,sheet="Sheet2",perl="/usr/bin/perl",verbose=T)

rawData=rawData[2:24,1:78]
rawData

iterNumber=2:24

limites_x = range(iterNumber)
limites_y = c(-0.1,1.1)

linea=1
tipo="p"
escala=1.5
ancho=0
marcador=19  # 15 cuadrado, 19,20 circulos

# SAVE PLOTS TO PDF FILES:
pdf(filenames[5], width=7.5, height=4.5)

transparencia=0.05;
colorUsar=4

par(mar=c(4,4.5,2,1)+.1)
plot(iterNumber,rawData[,1], col=alpha(colores[colorUsar],transparencia),  lty=linea, cex = escala, lwd=ancho, pch=marcador, type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=TRUE)
#lines(iterNumber,rawData[,1], col=alpha(colores[colorUsar],transparencia),  lty=1)
axis(side = 1, col.axis="black", at=c(0,10,20,30), cex.axis=1.4)
mtext(side = 1, line = 3, '', col="black")
axis(side = 2, col.axis="black", cex.axis=1.4)
mtext(side = 2, line = 3, '', col="black")
for (i in 2:dim(rawData)[2]) {
  par(new=T)
  plot(iterNumber,rawData[,i], col=alpha(colores[colorUsar],transparencia),  lty=linea, cex = escala, lwd=ancho, pch=marcador, type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=FALSE)
  #lines(iterNumber,rawData[,i], col=alpha(colores[colorUsar],transparencia),  lty=1)
}
lines(iterNumber,LambdaDrift,col=colores[1],lty=1,lwd=3,type="l")
legend(x=17,y=0.5, legend=c(expression(paste("E[", rho,"]  HPP")),expression(paste("E[", rho,"]  MHPP"))), col=c(colores[1],alpha(colores[colorUsar],0.3)), pch=c(NA,marcador), lty=c(1,NA), cex=1.2, pt.cex=1.5, lwd=c(2,0), y.intersp = 1.3, x.intersp = 2, box.lty =0, bg="transparent") #text.col=c("red","blue","green","pink"))
title(main="GPS", xlab="Time step", ylab=expression(paste("E[", rho,"]")), cex.lab=1.4, cex.main=1.7)


dev.off()
