require(gdata)
require(colorspace)

ruta = "/Users/dario/Dropbox/TRABAJO/AMIDST/graficas Fractional/"
setwd(ruta)
xlsfile <- file.path(ruta,'SimulatedBinomial.xls')



filenames=c("SimulatedBinomial_marLogLike.pdf","SimulatedBinomial_ESS.pdf","SimulatedBinomial_ExpectedRho.pdf");


#######################################################
### Marginal LogLikelihood ############################
#######################################################

rawData <- read.xls(xlsfile,sheet="Sheet3",perl="/usr/bin/perl",verbose=T)

#rawData=rawData[1:32,1:37]
rawData

iterNumber = 1:100
Real = na.omit(rawData[,1])
SVB = na.omit(rawData[,2])
Population1 = na.omit(rawData[,3])
Population2 = na.omit(rawData[,4])
Population3 = na.omit(rawData[,5])
Population4 = na.omit(rawData[,6])
SVBFading1 = na.omit(rawData[,7])
SVBFading2 = na.omit(rawData[,8])
SVB_HPP = na.omit(rawData[,9])



iterNumber
SVB
Population1
Population2
Population3
Population4
SVBFading1
SVBFading2
SVB_HPP



iterNumber=iterNumber[25:100]
Real=Real[25:100]
SVB=SVB[25:100]
Population1=Population1[25:100]
Population2=Population2[25:100]
Population3=Population3[25:100]
Population4=Population4[25:100]
SVBFading1=SVBFading1[25:100]
SVBFading2=SVBFading2[25:100]
SVB_HPP=SVB_HPP[25:100]


# paso = 1 
# VMP_x=VMP_x[seq(1,length(VMP_x),by=paso)]
# VMP_y=VMP_y[seq(1,length(VMP_y),by=paso)]
# 
# SVI_55_x=SVI_55_x[seq(1,length(SVI_55_x),by=paso)]
# SVI_55_y=SVI_55_y[seq(1,length(SVI_55_y),by=paso)]
# 
# SVI_75_x=SVI_75_x[seq(1,length(SVI_75_x),by=paso)]
# SVI_75_y=SVI_75_y[seq(1,length(SVI_75_y),by=paso)]
# 
# SVI_99_x=SVI_99_x[seq(1,length(SVI_99_x),by=paso)]
# SVI_99_y=SVI_99_y[seq(1,length(SVI_99_y),by=paso)]



# x1.range = range(VMP_a1_x)
# x2.range = range(VMP_a3_x)
# 
# xr1.range = range(VMP_a1_rx)
# xr2.range = range(VMP_a3_rx)

y0.range = range(Real)
y1.range = range(SVB)
y2.range = range(Population1)
y3.range = range(Population2)
y4.range = range(Population3)
y5.range = range(Population4)
y6.range = range(SVBFading1)
y7.range = range(SVBFading2)
y8.range = range(SVB_HPP)

limites_x = range(iterNumber) 
limites_y = range(y0.range,y1.range,y2.range,y3.range,y4.range,y5.range,y6.range,y7.range,y8.range)
limites_y

limites_y=c(0.2,1.1)

#marcadores=c(15,16,17,18)
#marcadores=c(0,1,15,16)

#marcadores=c(4,4,1,1)

marcadores=c(".",".",".",".",".",".",".",".")
marcadores=1:7


#colores=c("#fb0c1b","#82cafb")

colores=rainbow_hcl(7)
colores=c("#E495A5","#46BAC8","#9CB469","#56BD96","#D497D3","#CEA472","#99A9E2")

linea=1
linea_disc=5
tipo="b"
escala=0.9
ancho=1


# SAVE PLOTS TO PDF FILES:
pdf(filenames[1], width=7.5, height=4.5)


par(mar=c(4,4,2,1)+.1)
plot(iterNumber,Real, col=colores[1],  lty=linea, cex = escala, lwd=2*ancho, pch=marcadores[1], type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=TRUE)
#lines(iterNumber,Real, col=colores[1],  lty=linea)
axis(side = 1, col.axis="black", at=seq(0,100,10), cex.axis=1.4)
mtext(side = 1, line = 3, '', col="black")
axis(side = 2, col.axis="black", cex.axis=1.4)
mtext(side = 2, line = 3, '', col="black")

par(new=T)
plot(iterNumber,SVB, col=colores[2],  lty=linea, cex = escala, lwd=ancho, pch=marcadores[2],  type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=FALSE)
#lines(iterNumber,SVB, col=colores[2],  lty=linea)
par(new=T)
plot(iterNumber,Population1, col=colores[3],  lty=linea, cex = escala, lwd=ancho, pch=marcadores[3], type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=FALSE)
#lines(iterNumber,Population1, col=colores[3],  lty=linea)
par(new=T)
plot(iterNumber,Population2, col=colores[4],  lty=linea, cex = escala, lwd=ancho, pch=marcadores[4],  type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=FALSE)
#lines(iterNumber,Population2, col=colores[4],  lty=linea)

#par(new=T)
#lines(iterNumber,Population3, col=colores[5],  lty=linea)
#plot(iterNumber,Population3, col=colores[5],  lty=linea, cex = escala, lwd=ancho, pch=marcadores[5], type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=FALSE)
#par(new=T)
#plot(iterNumber,Population4, col=colores[6],  lty=linea, cex = escala, lwd=ancho, pch=marcadores[5], type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=FALSE)
#lines(iterNumber,Population4, col=colores[6],  lty=linea)

par(new=T)
plot(iterNumber,SVBFading1, col=colores[5],  lty=linea_disc, cex = escala, lwd=ancho, pch=marcadores[5], type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=FALSE)
#lines(iterNumber,SVBFading1, col=colores[5],  lty=linea_disc)
par(new=T)
plot(iterNumber,SVBFading2, col=colores[6],  lty=linea_disc, cex = escala, lwd=ancho, pch=marcadores[6], type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=FALSE)
#lines(iterNumber,SVBFading2, col=colores[6],  lty=linea_disc)
par(new=T)
plot(iterNumber,SVB_HPP, col=colores[7],  lty=linea, cex = escala, lwd=ancho, pch=marcadores[7], type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=FALSE)
#lines(iterNumber,SVB_HPP, col=colores[7],  lty=linea)

legend(x=18,y=1.15, legend=c("Real","SVB","PVB-1000-0.1","PVB-1000-0.01","SVB-PP-0.9","SVB-PP-0.99","SVB-HPP"),
       lty=0, #c(rep("solid",4),rep("longdash",2),"solid"), 
       merge=F, col=colores, pch=marcadores, cex=1.3, pt.cex=1.2, 
       lwd=c(2*ancho,rep(ancho,6)), y.intersp = 1.0, x.intersp = 2, box.lty =0, bg="transparent") #text.col=c("red","blue","green","pink"))
title(main="", xlab="Time step", ylab="Estimated p value", cex.lab=1.4, cex.main=1.7)


dev.off()



###############################################
###  PLOT2  ###################################
###############################################

rawData <- read.xls(xlsfile,sheet="Sheet2",perl="/usr/bin/perl",verbose=T)
rawData

LambdaDrift = na.omit(rawData[,1])
LambdaDrift2 = na.omit(rawData[,2])
LambdaDrift3 = na.omit(rawData[,3])
LambdaDrift4 = na.omit(rawData[,4])

iterNumber=1:100

LambdaDrift
LambdaDrift2
LambdaDrift3
LambdaDrift4



y1.range = range(LambdaDrift)
y2.range = range(LambdaDrift2)
y3.range = range(LambdaDrift3)
y4.range = range(LambdaDrift4)


limites_x = range(iterNumber)
limites_y = range(y1.range,y2.range,y3.range,y4.range)

limites_y2 = c(100,500)


linea=1
tipo="b"
escala=0.9
ancho=1


# SAVE PLOTS TO PDF FILES:
pdf(filenames[2], width=7.5, height=4.5)

marcadores=1:4

#par(mar=c(3,2,2,2)+.1)
par(mar=c(4,4,2,2)+.1)
plot(iterNumber,LambdaDrift, col=colores[1],  lty=linea, cex = escala, lwd=ancho, pch=marcadores[1], type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=TRUE)
#lines(iterNumber,LambdaDrift, col=colores[1],  lty=linea)
axis(side = 1, col.axis="black", at=seq(0,100,10), cex.axis=1.4)
mtext(side = 1, line = 3, '', col="black")
axis(side = 2, col.axis="black", cex.axis=1.4)
mtext(side = 2, line = 3, '', col="black")
par(new=T)
plot(iterNumber,LambdaDrift2, col=colores[2],  lty=linea, cex = escala, lwd=ancho, pch=marcadores[2],  type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=FALSE)
#lines(iterNumber,LambdaDrift2, col=colores[2],  lty=linea)
par(new=T)
plot(iterNumber,LambdaDrift3, col=colores[3],  lty=linea, cex = escala, lwd=ancho, pch=marcadores[3], type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=FALSE)
#lines(iterNumber,LambdaDrift3, col=colores[3],  lty=linea)


par(new=T)
plot(iterNumber,LambdaDrift4, col=colores[4],  lty=linea, cex = escala, lwd=ancho, pch=marcadores[4], type=tipo, ylim = limites_y2, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=FALSE)
#lines(iterNumber,LambdaDrift4, col=colores[4],  lty=linea)
axis(side = 4, col.axis="black", at=c(100,300,500), cex.axis=1.4)
mtext(side = 4, line = 3, '', col="black")
#par(new=T)
#plot(iterNumber,LambdaDrift4, col=colores[4],  lty=linea, cex = escala, lwd=ancho, pch=marcadores[4],  type=tipo, ylim = limites_y2, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=FALSE)
#lines(iterNumber,LambdaDrift4, col=colores[4],  lty=linea)

legend(x=0,y=530, legend=c("SVB","PVB-1000-0.1","SVB-PP-0.9","SVB-HPP"), col=colores, pch=marcadores, 
       lty=0, cex=1.4, lwd=rep(ancho,4), y.intersp = 1.3, x.intersp = 1.5, box.lty =0, bg="transparent") #text.col=c("red","blue","green","pink"))
title(main="", xlab="Time step", ylab="ESS - Equivalent sample size", cex.lab=1.4, cex.main=1.7)


dev.off()



###############################################
###  PLOT3  ###################################
###############################################

rawData <- read.xls(xlsfile,sheet="Sheet1",perl="/usr/bin/perl",verbose=T)

RhoDrift =  na.omit(rawData[,21])
RhoMultiDrift =  na.omit(rawData[,48])

RhoDrift = as.numeric(RhoDrift)
RhoMultiDrift = as.numeric(RhoMultiDrift)

iterNumber=2:100
y1.range = range(RhoDrift)
y2.range = range(RhoMultiDrift)


limites_x = range(iterNumber)
limites_y = range(y1.range,y2.range)

limites_y=c(0,0.8)

linea=1
tipo="b"
escala=0.9
ancho=1



# SAVE PLOTS TO PDF FILES:
pdf(filenames[3], width=7.5, height=4.5)
marcadores=1:2

#par(mar=c(3,2,2,1)+.1)
par(mar=c(4,4.5,2,1)+.1)
plot(iterNumber,RhoDrift, col=colores[1],  lty=linea, cex = escala, lwd=ancho, pch=marcadores[1], type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=TRUE)
#lines(iterNumber,RhoDrift, col=colores[1],  lty=linea)
axis(side = 1, col.axis="black", at=seq(0,100,10), cex.axis=1.4)
mtext(side = 1, line = 3, '', col="black")
axis(side = 2, col.axis="black", cex.axis=1.4)
mtext(side = 2, line = 3, '', col="black")
par(new=T)
plot(iterNumber,RhoMultiDrift, col=colores[2],  lty=linea, cex = escala, lwd=ancho, pch=marcadores[2],  type=tipo, ylim = limites_y, xlim=limites_x, xlab="", ylab="", axes=FALSE, frame.plot=FALSE)
#lines(iterNumber,RhoMultiDrift, col=colores[2],  lty=linea)


legend(x=70,y=0.2, legend=c(expression(paste("E[", rho,"] 100")),expression(paste("E[", rho,"] 1000"))),
       lty=0, col=colores, pch=marcadores, cex=1.4, lwd=rep(ancho,2), y.intersp = 1.3, x.intersp = 1, box.lty =0, bg="transparent") #text.col=c("red","blue","green","pink"))
title(main="", xlab="Time step", ylab=expression(paste("E[", rho,"]")), cex.lab=1.4, cex.main=1.7)


dev.off()

